> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Edit Entity

> Handles the submission of edited entity data,
     *          including updating various fields and maintaining archival status if applicable.



## OpenAPI

````yaml put /admin/program/entity
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/program/entity:
    put:
      tags:
        - Entities
      summary: Post Edit Entity
      description: |-
        Handles the submission of edited entity data,
             *          including updating various fields and maintaining archival status if applicable.
      operationId: postEditEntity
      requestBody:
        description: Data required for editing the entity
        required: true
        content:
          application/json:
            schema:
              properties:
                entity_id:
                  type: integer
                en_child_name:
                  type: string
                en_gender:
                  type: string
                en_grade:
                  type: string
                en_age:
                  type: string
                en_birthdate:
                  type: string
                en_favorite_subject:
                  type: string
                en_test_check_box:
                  type: string
                en_test_field_boolea:
                  type: string
                en_test_checkbox_2:
                  type: string
                client_id:
                  type: string
                program_id:
                  type: integer
                status:
                  type: string
                re_add:
                  type: string
                sp_amount:
                  type: string
                sp_num:
                  type: string
                wait_time:
                  type: string
                json_fields:
                  type: string
              type: object
      responses:
        '200':
          description: Entity edited successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Profile saved
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````